package tech.riemann.ims.enums;

import club.zhcs.lina.utils.enums.ICodeBook;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author mayong
 * @since 2024/12/6 9:26
 */
@Getter
@AllArgsConstructor
public enum AuditTypeEnum implements ICodeBook {

    SCAN("1", "扫码盘点"),
    MANUAL("2", "人工盘点"),
    ;

    @EnumValue
    final String code;
    final String description;
}
