package tech.riemann.ims.mapper.acl;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import tech.riemann.ims.dto.response.PermissionInfo;
import tech.riemann.ims.dto.response.RoleInfo;
import tech.riemann.ims.entity.acl.User;

/**
 * 用户 Mapper 接口
 *
 * @author Kerbores(kerbores@gmail.com)
 *
 * @since 2024-09-10 18:07:15
 */
public interface UserMapper extends BaseMapper<User> {

    /**
     * @param name
     * @return
     */
    List<PermissionInfo> indirectPermissionInfosByUserName(String name);

    /**
     * @param name
     * @return
     */
    List<PermissionInfo> directPermissionInfosByUserName(String name);

    /**
     * @param name
     * @return
     */
    List<RoleInfo> roleInfosByUserName(String name);

}
