package tech.riemann.ims.service.material.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;
import tech.riemann.ims.dto.response.ManualStockDTO;
import tech.riemann.ims.entity.material.ManualStockDetail;
import tech.riemann.ims.mapper.material.ManualStockDetailMapper;
import tech.riemann.ims.service.material.IManualStockDetailService;

import java.util.List;

/**
 * @author mayong
 * @since 2024/11/28 15:36
 */
@Service
@RequiredArgsConstructor
public class ManualStockDetailServiceImpl extends ServiceImpl<ManualStockDetailMapper, ManualStockDetail> implements IManualStockDetailService {

    private final Dao dao;

    @Override
    public Dao dao() {
        return dao;
    }

    @Override
    public List<ManualStockDTO> getByApplyId(Long applyId) {
        return baseMapper.getByApplyId(applyId);
    }
}
